4 # Required-Start: $local_fs $remote_fs $network $named $time
5 # Required-Stop: $local_fs $remote_fs
6 # Default-Start: 2 3 4 5
8 # Short-Description: Controls the pazpar2 daemon
9 # Description: Controls the Pazpar2 Metasearcher daemon
15 # PATH should only include /usr/* if it runs after the mountnfs.sh script
16 PATH=/sbin:/usr/sbin:/bin:/usr/bin
18 DAEMON=/usr/sbin/$NAME
20 PIDFILE=/var/run/$NAME.pid
21 SCRIPTNAME=/etc/init.d/$NAME
23 # Exit if the package is not installed
24 [ -x "$DAEMON" ] || exit 0
26 # Read configuration variable file if it is present
27 [ -r /etc/default/$NAME ] && . /etc/default/$NAME
29 # Load the VERBOSE setting and other rcS variables
32 # Define LSB log_* functions.
33 # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
34 . /lib/lsb/init-functions
37 # Function that starts the daemon/service
42 # 0 if daemon has been started
43 # 1 if daemon was already running
44 # 2 if daemon could not be started
45 start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
47 start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
50 # Add code here, if necessary, that waits for the process to be ready
51 # to handle requests from services started subsequently which depend
52 # on this one. As a last resort, sleep for some time.
56 # Function that stops the daemon/service
61 # 0 if daemon has been stopped
62 # 1 if daemon was already stopped
63 # 2 if daemon could not be stopped
64 # other if a failure occurred
65 start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
67 [ "$RETVAL" = 2 ] && return 2
68 # Wait for children to finish too if this is a daemon that forks
69 # and if the daemon is only ever run from this initscript.
70 # If the above conditions are not satisfied then add some other code
71 # that waits for the process to drop all resources that could be
72 # needed by services started subsequently. A last resort is to
73 # sleep for some time.
74 #start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
75 #[ "$?" = 2 ] && return 2
76 # Many daemons don't delete their pidfiles when they exit.
82 # Function that sends a SIGHUP to the daemon/service
86 # If the daemon can reload its configuration without
87 # restarting (for example, when it is sent a SIGHUP),
88 # then implement that here.
90 start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
96 [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
99 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
100 2) [ "$VERBOSE" = no ] && \
101 log_daemon_msg "Starting $DESC" "$NAME"
107 [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
110 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
111 2) [ "$VERBOSE" = no ] && \
112 log_daemon_msg "Stopping $DESC" "$NAME"
117 #reload|force-reload)
119 # If do_reload() is not implemented then leave this commented out
120 # and leave 'force-reload' as an alias for 'restart'.
122 #log_daemon_msg "Reloading $DESC" "$NAME"
126 restart|force-reload)
128 # If the "reload" option is implemented then remove the
129 # 'force-reload' alias
131 log_daemon_msg "Restarting $DESC" "$NAME"
138 1) log_end_msg 1 ;; # Old process is still running
139 *) log_end_msg 1 ;; # Failed to start
149 #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
150 echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2